cURL
curl --request GET \
--url https://sandbox.withclasp.com/member_documents/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/member_documents/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/member_documents/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mdoc_123",
"member": "mem_123",
"file": "<string>",
"name": "2026 Medical Insurance Card",
"document_type": "1095_c",
"created_at": "2023-11-07T05:31:56Z"
}Member Documents
Retrieve Member Document
Retrieves a member document by ID. The file field is a temporary signed URL for the private PDF. Requires the memberdocument:read or memberdocument:write scope.
GET
/
member_documents
/
{public_id}
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Example:
"mdoc_123"
Example:
"mem_123"
Temporary signed URL for the private PDF.
Maximum string length:
255Example:
"2026 Medical Insurance Card"
1095_c- 1095-Cinsurance_id_card- Insurance ID Cardgeneral- General
Available options:
1095_c, insurance_id_card, general